const std = @import("std");
const Image = @import("Image.zig");
const R = @import("R.zig");

const Self = @This();

v: V,
hash: u64,

pub const Tag = enum { image };
pub const V = union(Tag) {
    image: Image,
};

pub fn load(r: R, tag: Tag, path: [:0]const u8) !Self {
    var self = Self{ .v = undefined, .hash = undefined };
    switch (tag) {
        .image => self.v = .{ .image = try Image.load(r.renderer, path) },
    }
    return self;
}

pub fn deinit(self: Self) void {
    switch (self.v) {
        .image => |v| v.deinit(),
    }
}
