const std = @import("std");

pub fn read(allocator: std.mem.Allocator, path: []const u8) ![]i32 {
    const file = try std.fs.cwd().openFile(path, .{});
    defer file.close();

    var buffer: [1024]u8 = undefined;
    const data = buffer[0..try file.readAll(&buffer)];

    const size = blk: {
        var it = std.mem.tokenize(u8, data, ",\n");
        var n: usize = 0;
        while (it.next()) |_|
            n += 1;
        break :blk n;
    };

    var array = try allocator.alloc(i32, size);
    errdefer allocator.free(array);

    var it = std.mem.tokenize(u8, data, ",\n");
    var i: usize = 0;
    while (it.next()) |slice| : (i += 1)
        array[i] = try std.fmt.parseInt(i32, slice, 10);

    return array;
}
